# Copyright (c) 2021 Skyward Experimental Rocketry
# Author: Damiano Amatruda
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.

set(OBSW_INCLUDE_DIRS
    src/boards
    src/hardware_in_the_loop
)

set(PARAFOIL_COMPUTER
    src/boards/Parafoil/Actuators/Actuators.cpp
    src/boards/Parafoil/AltitudeTrigger/AltitudeTrigger.cpp
    src/boards/Parafoil/PinHandler/PinHandler.cpp
    src/boards/Parafoil/Sensors/Sensors.cpp
    src/boards/Parafoil/Radio/Radio.cpp
    src/boards/Parafoil/TMRepository/TMRepository.cpp
    src/boards/Parafoil/StateMachines/NASController/NASController.cpp
    src/boards/Parafoil/StateMachines/FlightModeManager/FlightModeManager.cpp
    src/boards/Parafoil/StateMachines/WingController/WingController.cpp
    src/boards/Parafoil/Wing/AutomaticWingAlgorithm.cpp
    src/boards/Parafoil/Wing/FileWingAlgorithm.cpp
    src/boards/Parafoil/Wing/WingAlgorithm.cpp
    src/boards/Parafoil/WindEstimationScheme/WindEstimation.cpp
)

set(HIL
    src/hardware_in_the_loop/HIL/HILFlightPhasesManager.cpp    
    src/hardware_in_the_loop/HIL/HILTransceiver.cpp
)

set(HIL_PARAFOIL
    ${HIL}
    src/boards/Parafoil/Actuators/HILActuators.cpp
    src/boards/Parafoil/Sensors/HILSensors.cpp
)

